<!DOCTYPE html>
<html>

<head>
    <!--<meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;">-->
    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport"
        content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css">
    <title>Mi billetera</title>
</head>

<body onload="get()">
    <nav class="navbar navbar-expand-lg navbar-light bg-light sb-navbar">
        <div class="container">
            <a class="navbar-brand" href="#">
                <img src="img/icon.png" alt="" width="45px" height="45px">
                <span class="ml-1">Billetera</span>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarContent"
                aria-controls="navbarContent" aria-expanded="false" aria-label="Toggle navigation">
                <i class="fas fa-bars"></i>
            </button>
            <div class="collapse navbar-collapse" id="navbarContent">
                <ul class="navbar-nav mr-auto pt-3 pt-lg-0">
                    <li class="nav-item active">
                        <a class="nav-link active" href="index.html">Inicio</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="llevar.html">Cosas por llevar a Celaya</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="traer.html">Cosas por traer a Querétaro</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="deudores.html">Deudores</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="compras.html">Compras</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="gasolina.html">Gasolina</a>
                    </li>
                </ul>

            </div>
        </div>
    </nav>
    <div class="container">
        <div class="card border-bottom-primary shadow h-100 py-2 mb-2 mt-4">
            <div class="card-body">
                <div class="row ">
                    <div class="col-sm-12">
                        <h5 class="text-center">Agregar nuevo gasto</h5>

                        <div class=" mb-3 mt-3">
                            <input type="text" id="concepto"
                                class="form-control form-control-lg form-control-custom mb-1" placeholder="Concepto">
                            <input type="number" id="valor"
                                class="form-control form-control-lg form-control-custom mb-1" placeholder="Valor">
                            <div class="input-group-append">
                                <button class="btn btn-outline-dark btn-block btn-custom"
                                    onclick="add()">Agregar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-sm-4 mb-1">
                <div class="card border-left-success shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Ingreso</div>
                                <div class="h5 mb-0 font-weight-bold text-success">$6,000</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-arrow-down fa-2x text-success"></i>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-4 mb-1">
                <div class="card border-left-danger shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Gastos</div>
                                <div class="h5 mb-0 font-weight-bold text-danger" id="total_gastos"></div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-arrow-up fa-2x text-danger"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-4 mb-1">
                <div class="card border-left-warning shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Restante</div>
                                <div class="h5 mb-0 font-weight-bold text-warning" id="total"></div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-wallet fa-2x text-warning"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


        </div>
        <div class="row">
            <div class="col-12">
                <div id="get">
                </div>
            </div>
        </div>



    </div>

    <script type="text/javascript" src="cordova.js"></script>
    <script type="text/javascript" src="js/firebase.js"></script>
    <script type="text/javascript" src="js/firebase_config.js"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script type="text/javascript" src="js/bootstrap.min.js"></script>

    <script type="text/javascript">
        toastr.options = {
            "positionClass": "toast-bottom-center",
        }
        function add() {
            if ($('#concepto').val() != "") {
                var addRef = db.collection("gastos");
                addRef.add({
                    concepto: $('#concepto').val(),
                    valor: parseInt($('#valor').val()),
                    fecha: new Date(),
                })
                    .then(function () {
                        $('#concepto').val('');
                        $('#valor').val('');
                        get();
                        toastr.success('Se ha añadido el gasto correctamente', 'Correcto');

                    })
                    .catch(function () {
                        toastr.error('Ha ocurrido un error, intente nuevamente', 'Error!');
                    });
            } else {
                toastr.error('Complete todos los campos', 'Error!');
            }
        }
        function get() {

            var getRef = db.collection("gastos");
            getRef.orderBy("fecha", "desc").get()
                .then(function (querySnapshot) {
                    var aux = "";
                    var total_gastos = 0;
                    var fech, fech1, fe;
                    querySnapshot.forEach(function (doc) {

                        fech = new Date(doc.data().fecha.seconds * 1000);
                        fech = fech.toString();
                        fech = fech.slice(0,24);
                        total_gastos += parseInt(doc.data().valor);
                        aux += '<div class="col-md-12 mb-4"><div class="card border-left-primary shadow h-100 py-2"><div class="card-body"><div class="row no-gutters align-items-center"><div class="col mr-2"><div class="text-xs font-weight-bold text-primary  mb-1">' + doc.data().concepto + '</div><div class="h5 mb-0 font-weight-bold"> $' + doc.data().valor + '</div></div><div class="col-auto"><button class="btn btn-danger" onclick="deleteGasto(\'' + doc.id + '\')"><i class="fas fa-trash"></i></button></div></div></div><div class=" text-muted text-right mr-3"> ' + fech + ' </div></div></div>';

                    });
                    document.getElementById("get").innerHTML = aux;
                    document.getElementById("total_gastos").innerHTML = '- $' + total_gastos;
                    document.getElementById("total").innerHTML = ' $' + (6000 - total_gastos);
                })
                .catch(function (error) {
                    toastr.error('Ha ocurrido un error, intente nuevamente', 'Error!');
                });
        }
        function deleteGasto(id) {
            var deleteRef = db.collection("gastos").doc(id)
            deleteRef.delete().then(function () {
                toastr.success('Se ha eliminado el gasto correctamente', 'Correcto');
                get();
            }).catch(function (error) {
                toastr.error('Ha ocurrido un error, intente nuevamente', 'Error!');
            });
        }
    </script>
</body>

</html>